Retrieve Account Internal Transactions

Returns all internal transactions of any given address Monad

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet and Testnet.

🚧

The Monad Mainnet Indexing API is available to Pro tier users. The Monad Testnet Indexing API is accessible to Pro, Basic, and Lite tiers. Free tier members can also enjoy a trial period with 30 free calls. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • address, string - a 42 character address with '0x' as prefix. The wallet address to check for internal transactions.
  • filter, string - filter transactions by direction. Options: "all", "from", "to". Defaults to "all".
  • cursor, string - next page cursor.
  • limit, int32 - the maximum number of results to return per page. Defaults to 20, maximum is 50.
  • ascendingOrder, boolean - query result ordering, default to false (descending order), newest record first.

Response

  • code, number - response status code, e.g., 0 for success.
  • reason, string - reason message if there's an error.
  • message, string - response message, e.g., OK.
  • result, object - result object containing internal transaction data.
    • data, array object - an array of internal transaction objects.
      • hash, string - the transaction hash.
      • blockNumber, number - the block number in which the transaction was included.
      • blockHash, string - the hash of the block in which the transaction was included.
      • from, string - the sender address.
      • to, string - the recipient address.
      • type, string - the type of internal transaction (e.g., "CALL", "CREATE").
      • value, string - the value transferred in the transaction.
      • error, string - error message if there was an error during execution.
      • timestamp, number - the timestamp of the transaction in seconds.
      • traceIndex, number - the index of this internal transaction within the trace.
      • fromAddress, object - details about the sender address.
        • address, string - the sender's address.
        • type, string - the address type.
        • isContract, boolean - whether the address is a contract.
        • verified, boolean - whether the address is verified.
        • ens, string - the ENS name associated with the address.
        • name, string - the name associated with the address.
        • isContractCreated, boolean - whether the address was created as a contract.
      • toAddress, object - details about the recipient address.
        • Same structure as fromAddress.
      • status, number - transaction status (1 for success, 0 for failed).
    • nextPageCursor, string - the cursor for fetching the next page of results, if the last page has been reached, nextPageCursor will be an empty string ("").
Query Params
string
required
Defaults to 0x4ea043757F7D2E0B386b26E57633eD97863FF63D
string
Defaults to all

all, from, to

string

next page cursor.

int32
Defaults to 20

default 20, max 50

boolean
Defaults to false

query result ordering, default to false (descending order), newest record first.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json